def bfs10415(bfs10412):
  bfs10413 = {}
  for (key, values) in bfs10412.items():
    for value in values:
      if (value not in bfs10413):
        bfs10413[value] = set()

      bfs10413[value].add(key)


  return bfs10413

